# Uses of Class
org.codehaus.janino.Java.TypeParameter

Packages that use Java.TypeParameter
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.TypeParameter in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.TypeParameter
Modifier and Type
Field
Description
`final Java.TypeParameter[]`
Java.MethodDeclarator.`typeParameters`
The type parameters declared for the method.
Methods in org.codehaus.janino that return Java.TypeParameter
Modifier and Type
Method
Description
`Java.TypeParameter[]`
Java.AbstractTypeDeclaration.`getOptionalTypeParameters()`
`Java.TypeParameter[]`
Java.NamedTypeDeclaration.`getOptionalTypeParameters()`
Methods in org.codehaus.janino with parameters of type Java.TypeParameter
Modifier and Type
Method
Description
`Java.MethodDeclarator`
Parser.`parseMethodDeclarationRest(String docComment, Java.Modifier[] modifiers, Java.TypeParameter[] typeParameters, Java.Type type, String name, boolean allowDefaultClause, Parser.MethodDeclarationContext context)`
MethodDeclarationRest := FormalParameters { '[' ']' } [ 'throws' ReferenceTypeList ] [ 'default' expression ] ( ';' | MethodBody )
Constructors in org.codehaus.janino with parameters of type Java.TypeParameter
Modifier
Constructor
Description
``
`AbstractClassDeclaration(Location location, Java.Modifier[] modifiers, Java.TypeParameter[] typeParameters)`
``
`AbstractTypeDeclaration(Location location, Java.Modifier[] modifiers, Java.TypeParameter[] typeParameters)`
`protected`
`InterfaceDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name, Java.TypeParameter[] typeParameters, Java.Type[] extendedTypes)`
``
`LocalClassDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name, Java.TypeParameter[] typeParameters, Java.Type extendedType, Java.Type[] implementedTypes)`
``
`MemberClassDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name, Java.TypeParameter[] typeParameters, Java.Type extendedType, Java.Type[] implementedTypes)`
``
`MemberInterfaceDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name, Java.TypeParameter[] typeParameters, Java.Type[] extendedTypes)`
``
`MethodDeclarator(Location location, String docComment, Java.Modifier[] modifiers, Java.TypeParameter[] typeParameters, Java.Type type, String name, Java.FunctionDeclarator.FormalParameters formalParameters, Java.Type[] thrownExceptions, Java.ElementValue defaultValue, List<? extends Java.BlockStatement> statements)`
``
`NamedClassDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name, Java.TypeParameter[] typeParameters, Java.Type extendedType, Java.Type[] implementedTypes)`
``
`PackageMemberClassDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name, Java.TypeParameter[] typeParameters, Java.Type extendedType, Java.Type[] implementedTypes)`
``
`PackageMemberInterfaceDeclaration(Location location, String docComment, Java.Modifier[] modifiers, String name, Java.TypeParameter[] typeParameters, Java.Type[] extendedTypes)`

## Uses of Java.TypeParameter in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.TypeParameter
Modifier and Type
Method
Description
`Java.TypeParameter[]`
DeepCopier.`copyOptionalTypeParameters(Java.TypeParameter[] subject)`
`Java.TypeParameter`
DeepCopier.`copyTypeParameter(Java.TypeParameter subject)`
`Java.TypeParameter[]`
DeepCopier.`copyTypeParameters(Java.TypeParameter[] subject)`
Methods in org.codehaus.janino.util with parameters of type Java.TypeParameter
Modifier and Type
Method
Description
`Java.TypeParameter[]`
DeepCopier.`copyOptionalTypeParameters(Java.TypeParameter[] subject)`
`Java.TypeParameter`
DeepCopier.`copyTypeParameter(Java.TypeParameter subject)`
`Java.TypeParameter[]`
DeepCopier.`copyTypeParameters(Java.TypeParameter[] subject)`